## WebKitDOMXPathResult

WebKitDOMXPathResult

## Functions

WebKitDOMNode * | webkit_dom_xpath_result_iterate_next ()
WebKitDOMNode * | webkit_dom_xpath_result_snapshot_item ()
gushort | webkit_dom_xpath_result_get_result_type ()
gdouble | webkit_dom_xpath_result_get_number_value ()
gchar * | webkit_dom_xpath_result_get_string_value ()
gboolean | webkit_dom_xpath_result_get_boolean_value ()
WebKitDOMNode * | webkit_dom_xpath_result_get_single_node_value ()
gboolean | webkit_dom_xpath_result_get_invalid_iterator_state ()
gulong | webkit_dom_xpath_result_get_snapshot_length ()

## Properties

gboolean | boolean-value | Read
gboolean | invalid-iterator-state | Read
gdouble | number-value | Read
guint | result-type | Read
WebKitDOMNode * | single-node-value | Read
gulong | snapshot-length | Read
gchar * | string-value | Read

## Types and Values

| WebKitDOMXPathResult

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMXPathResult

## Description

## Functions

### webkit_dom_xpath_result_iterate_next ()

    WebKitDOMNode *
    webkit_dom_xpath_result_iterate_next (WebKitDOMXPathResult *self,
                                          GError **error);

#### Parameters

self | A WebKitDOMXPathResult |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_xpath_result_snapshot_item ()

    WebKitDOMNode *
    webkit_dom_xpath_result_snapshot_item (WebKitDOMXPathResult *self,
                                           gulong index,
                                           GError **error);

#### Parameters

self | A WebKitDOMXPathResult |
index | A gulong |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_xpath_result_get_result_type ()

    gushort
    webkit_dom_xpath_result_get_result_type
                                   (WebKitDOMXPathResult *self);

#### Parameters

self | A WebKitDOMXPathResult |

#### Returns

A gushort

### webkit_dom_xpath_result_get_number_value ()

    gdouble
    webkit_dom_xpath_result_get_number_value
                                   (WebKitDOMXPathResult *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMXPathResult |
error | GError |

#### Returns

A gdouble

### webkit_dom_xpath_result_get_string_value ()

    gchar *
    webkit_dom_xpath_result_get_string_value
                                   (WebKitDOMXPathResult *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMXPathResult |
error | GError |

#### Returns

A gchar

### webkit_dom_xpath_result_get_boolean_value ()

    gboolean
    webkit_dom_xpath_result_get_boolean_value
                                   (WebKitDOMXPathResult *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMXPathResult |
error | GError |

#### Returns

A gboolean

### webkit_dom_xpath_result_get_single_node_value ()

    WebKitDOMNode *
    webkit_dom_xpath_result_get_single_node_value
                                   (WebKitDOMXPathResult *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMXPathResult |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_xpath_result_get_invalid_iterator_state ()

    gboolean
    webkit_dom_xpath_result_get_invalid_iterator_state
                                   (WebKitDOMXPathResult *self);

#### Parameters

self | A WebKitDOMXPathResult |

#### Returns

A gboolean

### webkit_dom_xpath_result_get_snapshot_length ()

    gulong
    webkit_dom_xpath_result_get_snapshot_length
                                   (WebKitDOMXPathResult *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMXPathResult |
error | GError |

#### Returns

A gulong

## Types and Values

### WebKitDOMXPathResult

    typedef struct _WebKitDOMXPathResult WebKitDOMXPathResult;

## Property Details

### The `“boolean-value”` property

      “boolean-value”            gboolean

read-only gboolean XPathResult:boolean-value.

Flags: Read

Default value: FALSE

### The `“invalid-iterator-state”` property

      “invalid-iterator-state”   gboolean

read-only gboolean XPathResult:invalid-iterator-state.

Flags: Read

Default value: FALSE

### The `“number-value”` property

      “number-value”             gdouble

read-only gdouble XPathResult:number-value.

Flags: Read

Default value: 0

### The `“result-type”` property

      “result-type”              guint

read-only gushort XPathResult:result-type.

Flags: Read

Default value: 0

### The `“single-node-value”` property

      “single-node-value”        WebKitDOMNode *

read-only WebKitDOMNode* XPathResult:single-node-value.

Flags: Read

### The `“snapshot-length”` property

      “snapshot-length”          gulong

read-only gulong XPathResult:snapshot-length.

Flags: Read

### The `“string-value”` property

      “string-value”             gchar *

read-only gchar* XPathResult:string-value.

Flags: Read

Default value: ""